## acpi-support 0.46

=== Makefile ===
all: acpi_fakekey

acpi_fakekey: acpi_fakekey.c
	gcc -g -Wall -o acpi_fakekey -I/usr/X11R6/include -L/usr/X11R6/lib -lX11 -lXtst acpi_fakekey.c
	strip acpi_fakekey

clean:
	rm -f acpi_fakekey

## acpi-support 0.9

=== debian/changelog ===
acpi-support (0.9) warty; urgency=low

  * Add stop target to the init script, disable hdparm advanced power
    management therein. (Warty #1914)

 -- Thom May <thom@canonical.com>  Tue,  5 Oct 2004 21:18:52 +0100

acpi-support (0.8) warty; urgency=low

  * Explicitly add /usr/bin/X11 to path. (Warty #1549)

 -- Thom May <thom@canonical.com>  Fri, 24 Sep 2004 12:08:20 +0100

acpi-support (0.7) warty; urgency=low

  * Added versioned depend on lsb-base

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 14:45:32 -0400

acpi-support (0.6) warty; urgency=low

  * Load after acpid. (Warty #992)

 -- Thom May <thom@planetarytramp.net>  Fri,  3 Sep 2004 18:39:52 +0100

acpi-support (0.5) warty; urgency=low

  * debian/init.d: pretty initscript

 -- Nathaniel McCallum <npmccallum@canonical.com>  Thu,  2 Sep 2004 13:16:21 -0400

acpi-support (0.4) warty; urgency=low

  * use a subdirectory of /var/lib (Closes Warty #842)
  * don't hardcode names so that suckful HP boxes might work. (Closes Warty
    #841)

 -- Thom May <thom@planetarytramp.net>  Tue, 31 Aug 2004 15:27:13 +0100

acpi-support (0.3) warty; urgency=low

  * Apparently, acpid needs a good kick when we change the events.

 -- Thom May <thom@planetarytramp.net>  Thu, 19 Aug 2004 18:38:55 +0100

acpi-support (0.2) warty; urgency=low

  * use a safer state file to maintain state across lid open/close 

 -- Thom May <thom@planetarytramp.net>  Thu, 19 Aug 2004 17:43:38 +0100

acpi-support (0.1) warty; urgency=low

  * First upload.
  * delimit a basic collection of safe acpi events

 -- Thom May <thom@planetarytramp.net>  Thu, 19 Aug 2004 15:33:01 +0100

=== debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Thom May <thom@planetarytramp.net>
Build-Depends: debhelper (>=4.1.16)
Standards-Version: 3.6.1.0

Package: acpi-support
Architecture: i386 amd64
Depends: laptop-mode, acpid, hdparm, lsb-base (>= 1.3-9ubuntu3)
Recommends: xscreensaver, xbase-clients
Description: acpi-support is a collection of useful events for acpi
 The scripts included in acpi-support include events for lid closure
 and loss and gain of ac power. These are the only events that can be 
 supported with any level of safety cross platform.

=== debian/rules ===
#! /usr/bin/make -f 

clean: 
	dh_testdir
	dh_clean

build: 

install: 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	for file in lib/*; do\
		install -m 644 $$file debian/acpi-support/usr/share/acpi-support/;\
	done
	for file in events/*; do\
		install -m 644 $$file debian/acpi-support/etc/acpi/events/;\
	done
	for file in *.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/;\
	done
	
	
binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installinit -- start 99 2 3 4 5 . stop 20 0 1 6 .
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## acpi-support 0.21

=== debian/changelog ===
acpi-support (0.21) hoary; urgency=low

  * Ensure we only return one match from grep.
  * Run /etc/acpi/local/lid.sh.post if it exists.
  * sleep for one second, then nuke the acpi lock

 -- Thom May <thom@ubuntu.com>  Fri,  1 Apr 2005 11:37:06 +0100

acpi-support (0.20) hoary; urgency=low

  * Ifrename on resume so our interfaces are called the same. (Ubuntu: #7480)
  * call xscreensaver-command -deactivate so we get a dialog rather than a
    blank screen when we resume. (Ubuntu: #7717)
  * Don't clobber LIDSTATE when we mean POWERSTATE (Ubuntu: #8258)
  * Background the acpid lock removal

 -- Thom May <thom@ubuntu.com>  Thu, 17 Mar 2005 17:39:22 +0000

acpi-support (0.19.1) hoary; urgency=low

  * Ensure that we only attempt to save vbe state if ACPI_SLEEP is enabled

 -- Thom May <thom@ubuntu.com>  Mon,  7 Mar 2005 12:49:28 +0000

acpi-support (0.19) hoary; urgency=low

  * Add ia64 to the list of supported architectures

 -- Thom May <thom@ubuntu.com>  Wed,  2 Mar 2005 23:19:57 +0000

acpi-support (0.18) hoary; urgency=low

  * Fix vbesave init script (Ubuntu: #6907)

 -- Thom May <thom@ubuntu.com>  Fri, 25 Feb 2005 11:03:48 +0000

acpi-support (0.17) hoary; urgency=low

  * Use acpid locking functionality finally (Hi, Martijn!)
  * vbestate:
    - Test for existence of vbetool
    - LSBifiy
    - Convert to a true init script
    - quieten
  * Check whether package has been removed but not purged in init script

 -- Thom May <thom@ubuntu.com>  Wed, 23 Feb 2005 15:07:51 +0000

acpi-support (0.16) hoary; urgency=low

  * Fix dumb typos

 -- Thom May <thom@debian.org>  Mon, 24 Jan 2005 17:30:48 +0000

acpi-support (0.15) hoary; urgency=low

  * Install ibm_acpi.modprobe and tosh_acpi.modprobe by default

 -- Thom May <thom@planetarytramp.net>  Sat, 22 Jan 2005 16:18:09 +0000

acpi-support (0.14) hoary; urgency=low

  * Run vbesave at the top of rc2, rather than in rcS, so we can still boot to
    single user

 -- Thom May <thom@planetarytramp.net>  Mon, 17 Jan 2005 17:26:37 +0000

acpi-support (0.13) hoary; urgency=low

  * Update toshiba scripts to handle both possible BIOS values
  * Fix == bashisms. (Ubuntu #5566)
  * Fix up ASUS event scripts. (Ubuntu #5510)

 -- Thom May <thom@planetarytramp.net>  Fri, 14 Jan 2005 12:31:29 +0000

acpi-support (0.12) hoary; urgency=low

  * Depend on vbetool on i386 only

 -- Thom May <thom@planetarytramp.net>  Fri, 14 Jan 2005 10:48:37 +0000

acpi-support (0.11) hoary; urgency=low

  * Add Toshiba, Asus and Panasonic event scripts
  * Add Toshiba modprobe config and README
  * All Tosh stuff courtesy of Daniel Silverstone

 -- Thom May <thom@planetarytramp.net>  Thu, 13 Jan 2005 16:08:48 +0000

acpi-support (0.10) hoary; urgency=low

  * Matthew Garrett:
        - /etc/defaults/acpi-support: new
        - hotplug events for IBM laptops
        - lots more

 -- Thom May <thom@planetarytramp.net>  Thu, 13 Jan 2005 12:27:47 +0000

=== debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Thom May <thom@ubuntu.com>
Build-Depends: debhelper (>=4.1.16)
Standards-Version: 3.6.1.0

Package: acpi-support
Architecture: i386 amd64 ia64
Depends: laptop-mode, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), ${vbetool:Depends}
Recommends: xscreensaver, xbase-clients
Description: acpi-support is a collection of useful events for acpi
 The scripts included in acpi-support include events for lid closure
 and loss and gain of ac power. These are the only events that can be 
 supported with any level of safety cross platform.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #! /usr/bin/make -f 
+
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(DEB_HOST_ARCH),i386)
+vbetool-depends := -V'vbetool:Depends=vbetool (>= 0.2)'
+endif
 
 clean: 
 	dh_testdir
@@ -21,7 +26,10 @@
 	for file in *.sh; do\
 		install -m 755 $$file debian/acpi-support/etc/acpi/;\
 	done
-	
+	install -m 644 acpi-support debian/acpi-support/etc/default/;
+	install -m 644 toshiba_acpi.modprobe debian/acpi-support/etc/modprobe.d/; 
+	install -m 644 ibm_acpi.modprobe debian/acpi-support/etc/modprobe.d/;
+	install -m 755 vbesave debian/acpi-support/etc/init.d/vbesave
 	
 binary-indep:
 
@@ -34,7 +42,7 @@
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-	dh_gencontrol
+	dh_gencontrol -- $(vbetool-depends)
 	dh_md5sums
 	dh_builddeb

## acpi-support 0.46

=== debian/changelog ===
acpi-support (0.46) breezy; urgency=low

  * Add some extra machines to the whitelists
  * Depend on powermgmt-base
  * Disable restarting irda services by default
  * Disable laptop-mode by default

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 12 Oct 2005 12:50:11 +0100

acpi-support (0.45) breezy; urgency=low

  * Remove sneaky new dependencies on radeontool and smartdimmer.  We're too
    close to release to start poking the hardware in interesting new ways by
    default

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  4 Oct 2005 17:35:54 -0700

acpi-support (0.44) breezy; urgency=low

  * Fix whitelisting
  * Fix resume when suspended for longer than the xscreensaver timeout
  * Disable attempts to use hdparm on SATA drives - we don't have the 
    kernel support.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue,  4 Oct 2005 16:44:01 +0100

acpi-support (0.43) breezy; urgency=low

  * Fix Radeon backlight tweak support
  * Fix lid closing screen locking
  * Fix check for ac adapters

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue,  4 Oct 2005 05:07:58 +0100

acpi-support (0.42) breezy; urgency=low

  * Fix missing fi statement in init script

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon,  3 Oct 2005 02:03:21 +0100

acpi-support (0.41) breezy; urgency=low

  * Make sure that xscreensaver-command -lock is always called
  * Use smartdimmer on Sonys if it's available. Nnngh.
  * Add support for resetting IDE drives more enthusiastically
  * Add support for using radeontool on some awkward machines
  * Unload/reload fan and thermal modules on resume to increase the
    chances of them working
  * Unload/reload ibm-acpi if it's loaded (#14791)
  * Fix lid.sh (#16802)
  * Unify init script/power.sh, and make sure power.sh is called on
    resume (#14833)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon,  3 Oct 2005 00:48:57 +0100

acpi-support (0.40) breezy; urgency=low

  * Add a large set of whitelisted laptops
  * Export DISPLAY before trying to call apps (closes: #16555)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat,  1 Oct 2005 18:01:54 +0100

acpi-support (0.39) breezy; urgency=low

  * Fix up a couple of bugs in the display handling code

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 30 Sep 2005 04:25:58 +0100

acpi-support (0.38) breezy; urgency=low

  * Add support for leaving some modules loaded
  * Run X commands on all displays, not just :0
  * Run hotkey commands on the foremost console

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 30 Sep 2005 03:40:32 +0100

acpi-support (0.37) breezy; urgency=low

  * Add support for custom suspend and resume scripts
  * Add Toshiba brightness restoration over suspend/resume
    (Both provided by Daniel Silverstone)
  * Run 855resolution on resume if it's configured (closes: #16271)
  * Revert to using xscreensaver
  * Stop services before unloading modules (closes: #16008)
  * Fix syntax error in asus-wireless.sh

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 27 Sep 2005 01:48:39 +0100

acpi-support (0.36) breezy; urgency=low

  * Change Panasonic brightness on button down, not button release
  * Fix quoting in vbesave init script

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 23 Sep 2005 11:58:37 +0100

acpi-support (0.35) breezy; urgency=low

  * Fix for occasionally picking the wrong user

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 21 Sep 2005 00:07:08 +0100

acpi-support (0.34) breezy; urgency=low

  The "I do not wish to discuss it" release

  * Add workaround for prodding fans back into life on resume
  * Add sick evil code for doing sick evil things to sick evil 
    screensavers

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 20 Sep 2005 03:15:46 +0100

acpi-support (0.33) breezy; urgency=low

  * Remove hdparm -B calls in the init scripts

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 15 Sep 2005 21:16:54 +0100

acpi-support (0.32) breezy; urgency=low

  * Add correct quoting to check for running PowerManager
  * Remove PowerManager checking from lid script

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 15 Sep 2005 15:55:12 +0100

acpi-support (0.31) breezy; urgency=low

  * Don't mess with hdparm -B; it triggers a bug elsewhere which causes
    the system to hang on some laptops

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 14 Sep 2005 15:28:21 -0700

acpi-support (0.30) breezy; urgency=low

  * Remove hardcoded /dev/hda from the init script
  * Unload irda modules on suspend - they don't tend to survive
  * Make sure that we power the screen back on on lid open
  * Don't unload/reload input modules - it seems to break things
  * Background xscreensaver locking

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri,  2 Sep 2005 17:47:17 +0100

acpi-support (0.29) breezy; urgency=low

  * Deal more nicely with running IRDA, otherwise the kernel tends to 
    oops

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu,  1 Sep 2005 18:09:14 +0100

acpi-support (0.28) breezy; urgency=low

  * If power-manager is running, let it determine policy rather than 
    running scripts blindly. Ignore this for machine-specific hotkeys.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 30 Aug 2005 18:13:40 +0100

acpi-support (0.27) breezy; urgency=low

  * Use "..." rather than ":" in init script messages, for consistency with
    other scripts

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 29 Aug 2005 15:51:25 -0700

acpi-support (0.26) breezy; urgency=low

  * Fix power.sh so that it actually works (Ubuntu #14241)
  * Add support for Sony brightness control (Ubuntu #14188)
  * Include scripts for Asus volume control (Ubuntu #14164)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun, 28 Aug 2005 17:33:14 +0100

acpi-support (0.25) breezy; urgency=low

  * Depend on xset (Ubuntu #13997) 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 25 Aug 2005 10:12:35 +0100

acpi-support (0.24) breezy; urgency=low

  * Add another missing build-depend DANIEL WHY DO YOU HATE ME SO

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 25 Aug 2005 01:34:14 +0100



=== debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Thom May <thom@ubuntu.com>
Build-Depends: debhelper (>=4.1.16), libx11-dev, x11proto-xext-dev, libxtst-dev, x11proto-core-dev
Standards-Version: 3.6.1.0

Package: acpi-support
Architecture: i386 amd64 ia64
Depends: xset, laptop-mode, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), ${vbetool:Depends}, ${toshset:Depends}, finger, powermgmt-base
Recommends: xscreensaver, xbase-clients, network-manager, smartdimmer, radeontool
Description: a collection of useful events for acpi
 The scripts included in acpi-support include events for lid closure
 and loss and gain of ac power. These are the only events that can be 
 supported with any level of safety cross platform.

=== debian/rules ===
--- 
+++ 
@@ -3,25 +3,34 @@
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq ($(DEB_HOST_ARCH),i386)
 vbetool-depends := -V'vbetool:Depends=vbetool (>= 0.2)'
+toshset-depends := -V'toshset:Depends=toshset'
 endif
 
 clean: 
+	make clean
 	dh_testdir
 	dh_clean
 
 build: 
+	make
 
 install: 
 	dh_testdir
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	
+		
 	for file in lib/*; do\
-		install -m 644 $$file debian/acpi-support/usr/share/acpi-support/;\
+		install -m 644 "$$file" debian/acpi-support/usr/share/acpi-support/;\
 	done
 	for file in events/*; do\
 		install -m 644 $$file debian/acpi-support/etc/acpi/events/;\
+	done
+	for file in suspend.d/*.sh; do\
+		install -m 755 $$file debian/acpi-support/etc/acpi/suspend.d/;\
+	done
+	for file in resume.d/*.sh; do\
+		install -m 755 $$file debian/acpi-support/etc/acpi/resume.d/;\
 	done
 	for file in *.sh; do\
 		install -m 755 $$file debian/acpi-support/etc/acpi/;\
@@ -30,6 +39,7 @@
 	install -m 644 toshiba_acpi.modprobe debian/acpi-support/etc/modprobe.d/; 
 	install -m 644 ibm_acpi.modprobe debian/acpi-support/etc/modprobe.d/;
 	install -m 755 vbesave debian/acpi-support/etc/init.d/vbesave
+	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
 	
 binary-indep:
 
@@ -42,7 +52,7 @@
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-	dh_gencontrol -- $(vbetool-depends)
+	dh_gencontrol -- $(vbetool-depends) $(toshset-depends)
 	dh_md5sums
 	dh_builddeb

## acpi-support 0.46ubuntu1

=== debian/changelog ===
acpi-support (0.46ubuntu1) breezy-updates; urgency=low

  * changed network-manager from Recommends to Suggests
    Rationale: This breaks automatic installations with universe enabled
    at install time. Since network-manager is in universe anyway, we don't
    make things worse with downgrading that relationship.

 -- Reinhard Tartler <siretart@ubuntu.com>  Wed, 16 Nov 2005 13:00:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 Package: acpi-support
 Architecture: i386 amd64 ia64
 Depends: xset, laptop-mode, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), ${vbetool:Depends}, ${toshset:Depends}, finger, powermgmt-base
-Recommends: xscreensaver, xbase-clients, network-manager, smartdimmer, radeontool
+Recommends: xscreensaver, xbase-clients, smartdimmer, radeontool
+Suggests: network-manager
 Description: a collection of useful events for acpi
  The scripts included in acpi-support include events for lid closure
  and loss and gain of ac power. These are the only events that can be

## acpi-support 0.84

=== debian/changelog ===
acpi-support (0.84) dapper; urgency=low

  * Whitelist another laptop (Ubuntu #44781)
    - Hewlett-Packard Pavilion ZV6000
  * Add whitelist for bizarre old laptop (Closes: Ubuntu #38174)

 -- Daniel Silverstone <daniel.silverstone@ubuntu.com>  Tue, 23 May 2006 14:02:34 +0100

acpi-support (0.83) dapper; urgency=low

  * Whitelist laptops (Ubuntu #44781) (Closes: Ubuntu #44909)
  * Fix use of 'pidof' so that it won't bork if multiple processes exist
    with the same name and to not spawn extra subshells.  Also do a
    more specific 'dcop' call and _only_ if 'dcopserver' is actually running.
  * Increase the 'acpilock' back up from 5 -> 10 seconds that got dropped,
    may help with (Ubuntu #43519).
  * Save the 'dmidecode' bios-version as we can identify ThinkPads with blank
    product-names.
  * Add entry for ThinkPad R40 with BIOS version "1PET62WW" (Tony Whitmore)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Mon, 22 May 2006 19:06:40 +0100

acpi-support (0.82) dapper; urgency=low

  * Add more whitelisted laptops
  * Add battery.d and ac.d (Closes: Ubuntu #44996)
  * Use pccardctl rather than cardctl (Closes: Ubuntu #44164)
  * Only call xscreensaver if it's running

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 16 May 2006 13:06:24 +0100

acpi-support (0.81) dapper; urgency=low

  * Whitelist Dell Inspiron XPS Gen2
  (Closes: Ubuntu #44732)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Mon, 15 May 2006 00:42:08 +0100

acpi-support (0.80) dapper; urgency=low

  * Add support for the toshiba battery button and add a generic
    batterybtn.sh action script

 -- Daniel Silverstone <daniel.silverstone@ubuntu.com>  Wed, 10 May 2006 12:09:25 +0100

acpi-support (0.79) dapper; urgency=low

  * Reorder some checks in order to avoid deadlocks in KDE

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun,  7 May 2006 14:51:20 +0100

acpi-support (0.78) dapper; urgency=low

  * Fix Sony brightness handling so minimum brightness doesn't "stick"

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat,  6 May 2006 00:57:38 +0100

acpi-support (0.77) dapper; urgency=low

  * Call smartdimmer even if the Sony acpi brightness value is mad

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri,  5 May 2006 23:59:16 +0100

acpi-support (0.76) dapper; urgency=low

  * Only save VBE state on laptops - desktops should have a runnable 
    BIOS

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed,  3 May 2006 21:32:13 +0100

acpi-support (0.75) dapper; urgency=low

  * Default to saving VBE state on boot

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun, 30 Apr 2006 19:24:51 +0100

acpi-support (0.74) dapper; urgency=low

  * Whitelist Asus A5E [Malone: #37303]
    Closes: launchpad #37303

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sun, 30 Apr 2006 02:22:39 +0200

acpi-support (0.73) dapper; urgency=low

  * Fix mis-named interface-down script 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 24 Apr 2006 21:05:43 +0100

acpi-support (0.72) dapper; urgency=low

  * Re-disable laptop-mode by default, to work around LP#12483
    - Has the pleasant side effect of making the comment match the code

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 22 Apr 2006 05:34:12 -0700

acpi-support (0.71) dapper; urgency=low

  * Split resume.sh and prepare.sh up to make it easier to add appropriate hooks

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 21 Apr 2006 16:13:19 +0100

acpi-support (0.70) dapper; urgency=low

  * Drop call to ifrename which is not only not installed by default, but
    conflicts with udev so can't be installed. 

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 18 Apr 2006 09:22:00 +0100

acpi-support (0.69) dapper; urgency=low

  * Add whitelist for Sony VGN-S260
    Closes: launchpad #32186
  * Apply patch to unload netconsole if it's present.
    Closes: launchpad #33885

 -- Daniel Silverstone <daniel.silverstone@ubuntu.com>  Thu, 13 Apr 2006 10:52:29 +0100

acpi-support (0.68) dapper; urgency=low

  * Bring up only those interfaces we downed, and do it all at once now
    that ifup doesn't block on the state file each time. 

 -- Scott James Remnant <scott@ubuntu.com>  Thu,  6 Apr 2006 06:32:41 +0100

acpi-support (0.67) dapper; urgency=low

  * ...and fix lib/state-funcs:isAnyWirelessPoweredOn() so that it
    doesn't have eth1 hard-coded as a wireless device.  Oops.

 -- Paul Sladen <ubuntu@paul.sladen.org>  Wed, 29 Mar 2006 13:56:09 +0100

acpi-support (0.66) dapper; urgency=low

  * Cache result of 'dmidecode -s *' so that they can be access without
    privileges when checking 'pmi capabilities'.  [Malone: #36573]

 -- Paul Sladen <ubuntu@paul.sladen.org>  Tue, 28 Mar 2006 20:19:48 +0100

acpi-support (0.65) dapper; urgency=low

  * Whitelist Compaq Evo N600c has working SLEEP [Malone: #36838]
  * Whitelist Sony VGN-FJ1S has working SLEEP [Malone: #29890]
  * Add support for '/etc/acpi/start.d/*.sh' to be run on startup
  * Synchronise the Asus Wireless LED on start and resume [Malone: #22795]
  * Execute {suspend,resume}.d/*.sh at different times depending on
    whether they match [01]*.sh, [2-7]*.sh, [89]*.sh
  * Flash the ThinkPad Moon LED while hibernating/suspending.

 -- Paul Sladen <ubuntu@paul.sladen.org>  Tue, 28 Mar 2006 17:20:48 +0100

acpi-support (0.64) dapper; urgency=low

  * Add support for Asus A6U Touchpad toggle [Malone #31063].

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sat, 25 Mar 2006 22:38:36 +0000

acpi-support (0.63) dapper; urgency=low

  * Set KEY_BATTERY=236 on the basis that this is going to be assigned upstream.

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sat, 25 Mar 2006 19:37:16 +0000

acpi-support (0.62) dapper; urgency=low

  * And the rest 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 23 Mar 2006 21:49:11 +0000

acpi-support (0.61) dapper; urgency=low

  * Use modprobe -r rather than rmmod [Malone #36172] 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 23 Mar 2006 16:36:49 +0000

acpi-support (0.60) dapper; urgency=low



## acpi-support 0.85

=== debian/changelog ===
acpi-support (0.85) dapper-updates; urgency=low

  * Don't unload nsc-ircc on suspend

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 19 Jun 2006 10:38:09 +0100

=== debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Matthew Garrett <mjg59@srcf.ucam.org> 
Build-Depends: debhelper (>=4.1.16), libx11-dev, x11proto-xext-dev, libxtst-dev, x11proto-core-dev
Standards-Version: 3.6.1.0

Package: acpi-support
Architecture: i386 amd64 ia64
Depends: xset, laptop-mode-tools, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), ${arch:Depends}, finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1)
Description: a collection of useful events for acpi
 The scripts included in acpi-support include events for lid closure
 and loss and gain of ac power. These are the only events that can be 
 supported with any level of safety cross platform.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq ($(DEB_HOST_ARCH),i386)
-vbetool-depends := -V'vbetool:Depends=vbetool (>= 0.2)'
-toshset-depends := -V'toshset:Depends=toshset'
+arch-depends := -V'arch:Depends=vbetool, radeontool, toshset, smartdimmer'
+endif
+ifeq ($(DEB_HOST_ARCH),amd64)
+arch-depends := -V'arch:Depends=vbetool'
 endif
 
 clean: 
@@ -19,7 +21,6 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-		
 	for file in lib/*; do\
 		install -m 644 "$$file" debian/acpi-support/usr/share/acpi-support/;\
 	done
@@ -32,6 +33,9 @@
 	for file in resume.d/*.sh; do\
 		install -m 755 $$file debian/acpi-support/etc/acpi/resume.d/;\
 	done
+	for file in start.d/*.sh; do\
+		install -m 755 $$file debian/acpi-support/etc/acpi/start.d/;\
+	done
 	for file in *.sh; do\
 		install -m 755 $$file debian/acpi-support/etc/acpi/;\
 	done
@@ -40,7 +44,8 @@
 	install -m 644 ibm_acpi.modprobe debian/acpi-support/etc/modprobe.d/;
 	install -m 755 vbesave debian/acpi-support/etc/init.d/vbesave
 	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
-	
+	install -m 644 key-constants debian/acpi-support/usr/share/acpi-support/
+
 binary-indep:
 
 binary-arch: install
@@ -52,7 +57,7 @@
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-	dh_gencontrol -- $(vbetool-depends) $(toshset-depends)
+	dh_gencontrol -- $(arch-depends)
 	dh_md5sums
 	dh_builddeb

## acpi-support 0.90

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: acpi-support
 Architecture: i386 amd64 ia64
 Depends: xset, laptop-mode-tools, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), ${arch:Depends}, finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1)
+Conflicts: uswsusp (<= 0.2)
 Description: a collection of useful events for acpi
  The scripts included in acpi-support include events for lid closure
  and loss and gain of ac power. These are the only events that can be

## acpi-support 0.95

=== debian/changelog ===
acpi-support (0.95) feisty; urgency=low

  * Clean up issues with toggling multiple wireless cards.
    - Move variable initiation into loop inside 'wireless.sh'
    - Move contents of 'wireless.sh' into lib/state-funcs:toggleAllWirelessState()
    - Update '{ibm,tosh,asus}-wireless.sh' to use state-funcs
    (Closes: LP #96107)
    (Thanks to Nicolò Chieffo for assistance and testing)
  * Remove spurious 'echo HERE' from lib/state-funcs.  D'oh.
  
 -- Paul Sladen <paul@katu>  Mon, 26 Mar 2007 01:06:58 +0100

acpi-support (0.94) feisty; urgency=low

  * Save and restore values that the kernel does not preserve across
    suspend/resume and hibernate/resume:
    - /sys/class/net/eth*/device/rf_kill
    (Closes: LP #37010)
    - /proc/acpi/ibm/bluetooth
    (Closes: LP #37175)
    - /sys/devices/system/cpu/cpu*/cpufreq/scaling_governor
    (Closes: LP #68191)
  * White list Lenovo ThinkPad Z60m as working suspend.
    (Closes: LP #57144)
  
 -- Paul Sladen <sladen@ubuntu.com>  Thu, 22 Mar 2007 03:57:36 +0000

acpi-support (0.93) feisty; urgency=low

  * Change 'wireless.sh' to use 'device/rf_kill' for wireless devices (if
    available) in preference to 'device/power/state' which was been
    removed by the upstream kernel developers.
    (Closes: LP #42820)
  * Teach 'lib/state-funcs:isAnyWirelessPoweredOn()' to also check
    'device/rf_kill' if it's available.
    (Closes: LP #42820)
  * Change 'ibm-wireless.sh' to rotate wireless and bluetooth states
    through the sequence: both, bluetooth only, wireless only, neither.
    (Closes: LP #24680)
  * Correct inverted logic in 'isAnyWirelessPoweredOn()'.
    (Closes: LP #66083)
  * Change script shebangs to use '/bin/sh' instead of '/bin/bash'.
  
 -- Paul Sladen <sladen@ubuntu.com>  Wed, 21 Mar 2007 04:55:27 +0000

acpi-support (0.92) feisty; urgency=low

  * Add 'events/sony-eject' for Sony Vaio TX3.
    (Closes: LP #55388)

 -- Paul Sladen <sladen@ubuntu.com>  Sun, 18 Mar 2007 23:09:38 +0000

acpi-support (0.91build1) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:12:40 +0000

acpi-support (0.91) feisty; urgency=low

  * Identical to 0.90, revert the sync from Debian

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed,  8 Nov 2006 17:33:04 +0000

acpi-support (0.90) edgy; urgency=low

  * Explicitly switch the screen back to text mode if it was that way 
    before resume

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun, 15 Oct 2006 18:09:03 +0100

acpi-support (0.89) edgy; urgency=low

  * Add support for high-res uswsusp

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 15 Sep 2006 21:43:54 +0100

acpi-support (0.88) edgy; urgency=low

  * Change defaults

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 15 Sep 2006 17:48:05 +0100

acpi-support (0.87) edgy; urgency=low

  * Add support for using uswsusp

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 24 Aug 2006 01:03:30 +0100

acpi-support (0.86) edgy; urgency=low

  * Remove stop links from rc0 and rc6

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 20 Jul 2006 23:03:51 +0100

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	dh_testroot
 	dh_installdocs
 	dh_installchangelogs
-	dh_installinit -- start 99 2 3 4 5 . stop 20 0 1 6 .
+	dh_installinit -- start 99 2 3 4 5 . stop 20 1 .
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## acpi-support 0.103

=== debian/changelog ===
acpi-support (0.103) gutsy; urgency=low

  * Replace call to 'thinkpad-keys-update' with "thinkpad-keys --update"
  * Remove wireless-related comment gruff from 'thinkpad-cmos' event.

 -- Paul Sladen <sladen@ubuntu.com>  Tue, 18 Sep 2007 20:09:02 +0300

acpi-support (0.102) gutsy; urgency=low

  * Poke thinkpad-keys on CMOS notification 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 15 Sep 2007 22:13:42 +0100

acpi-support (0.101) gutsy; urgency=low

  * Switch Thinkpad to using ACPI events for magic keys so that
    'thinkpad-keys' can go away and save us all from the new Lenovopad
    slow NVRAM.
  - See 'hotkey-setup' for remapping and initial module loading + setup.
  * Extend mask used in 'thinkpad_acpi.modprobe'.
  * Replace 'bin/bash' with 'bin/sh' in a couple of files.

 -- Paul Sladen <sladen@ubuntu.com>  Thu, 13 Sep 2007 19:15:14 +0300

acpi-support (0.100) gutsy; urgency=low

  * send events on ACPI brightness presses

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun, 09 Sep 2007 18:02:20 +0100

acpi-support (0.99) gutsy; urgency=low

  * prepare.sh: Fix missing space in executability test (thanks, Sitsofe
    Wheeler and TJ; LP: #136453).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 01 Sep 2007 17:32:01 +0100

acpi-support (0.98) gutsy; urgency=low

  * Add support for the video toggle hotkey

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 31 Aug 2007 05:02:08 +0100

acpi-support (0.97) gutsy; urgency=low

  * Improve X display finding
  * Switch Thinkpad wireless hotkey control back to firmware for now
  * Improve Toshiba wireless handling
  * Check fragment scripts are executable
  * Improve Panasonic support
  * Improve state saving/restoring over suspend/resume
  * Add Asus brightness key support
  * Alter some dependencies to recommends
  * Fix init script to check state on boot
  * Depend on the appropriate shlibdeps
  * Add a postrm to tidy up the init scripts
  * We no longer need to stop mysql
  * Tidy up scripts so a few errors aren't produced
  * Update sony brightness script to handle sony-laptop 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 31 Aug 2007 04:19:36 +0100

acpi-support (0.96ubuntu1) gutsy; urgency=low

  * Build packages for lpia as well.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 15 Aug 2007 23:48:51 +1000

acpi-support (0.96) gutsy; urgency=low

  * ibm-acpi has been renamed to thinkpad-acpi. Rename options file accordingly.
    LP: #119052. Thanks to Benjamin Pineau <ben.pineau@gmail.com> for the patch.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 Jul 2007 18:55:10 +0200

=== debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthew Garrett <mjg59@srcf.ucam.org> 
Build-Depends: debhelper (>=4.1.16)
Standards-Version: 3.6.1.0

Package: acpi-support
Architecture: i386 amd64 ia64 lpia
Depends: xset, laptop-mode-tools, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), ${arch:Depends}, finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}
Recommends: toshset, smartdimmer, radeontool
Conflicts: uswsusp (<= 0.2)
Description: a collection of useful events for acpi
 The scripts included in acpi-support include events for lid closure
 and loss and gain of ac power. These are the only events that can be 
 supported with any level of safety cross platform.

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	done
 	install -m 644 acpi-support debian/acpi-support/etc/default/;
 	install -m 644 toshiba_acpi.modprobe debian/acpi-support/etc/modprobe.d/; 
-	install -m 644 ibm_acpi.modprobe debian/acpi-support/etc/modprobe.d/;
+	install -m 644 thinkpad_acpi.modprobe debian/acpi-support/etc/modprobe.d/;
 	install -m 755 vbesave debian/acpi-support/etc/init.d/vbesave
 	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
 	install -m 644 key-constants debian/acpi-support/usr/share/acpi-support/

## acpi-support 0.109

=== debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthew Garrett <mjg59@srcf.ucam.org> 
Build-Depends: debhelper (>= 4.1.16)
Standards-Version: 3.7.3

Package: acpi-support
Architecture: i386 amd64 ia64 lpia
Depends: x11-xserver-utils, laptop-mode-tools, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), ${arch:Depends}, finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}
Recommends: toshset, smartdimmer, radeontool
Conflicts: uswsusp (<= 0.2)
Description: a collection of useful events for acpi
 The scripts included in acpi-support include events for lid closure
 and loss and gain of ac power. These are the only events that can be 
 supported with any level of safety cross platform.

=== debian/rules ===
--- 
+++ 
@@ -40,8 +40,7 @@
 		install -m 755 $$file debian/acpi-support/etc/acpi/;\
 	done
 	install -m 644 acpi-support debian/acpi-support/etc/default/;
-	install -m 644 toshiba_acpi.modprobe debian/acpi-support/etc/modprobe.d/; 
-	install -m 644 thinkpad_acpi.modprobe debian/acpi-support/etc/modprobe.d/;
+	install -m 644 toshiba_acpi.modprobe debian/acpi-support/etc/modprobe.d/;
 	install -m 755 vbesave debian/acpi-support/etc/init.d/vbesave
 	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
 	install -m 644 key-constants debian/acpi-support/usr/share/acpi-support/

## acpi-support 0.109netbook0dennis1

=== debian/changelog ===
acpi-support (0.109netbook0dennis1) hardy; urgency=low

  [ Debbie Beliveau ]
  * Backport all changes (below) from 0.110 intrepid

  [ Alexey Borzenkov ]
  * Let laptop-mode-tools run properly (closes LP: #250938)
    - power.sh: remove laptop-mode invocations, should be handled by pm-utils
    - acpi-support: remove SPINDOWN_TIME, should be controlled by laptop-mode

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 19 Aug 2008 17:30:38 +0000

acpi-support (0.109) hardy; urgency=low

   [ Daniel Hahler ]
   * power.sh:
     Fix glob pattern for laptop_mode_{enable,disable}. It did not match any
     devices. Thanks Andrea Ratto. (LP: #89269)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Apr 2008 06:47:19 +0000

acpi-support (0.108) hardy; urgency=low

  [ Daniel Hahler ]
  * /etc/modprobe.d/toshiba_acpi.modprobe, debian/rules, README.toshiba:
    Fix regression for toshiba, which should not have been removed
    (LP: #199888)
  * events/lenovo-eject, debian/preinst:
    Drop events/lenovo-eject again: it's a dock eject button and not a CD
    eject button (LP: #194609)

  [ Steve Langasek ]
  * lib/state-funcs: update isAnyWirelessPoweredOn() to recognize
    devices exporting only the new rf_kill status interface.
    LP: #180598.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Mar 2008 16:51:13 -0700

acpi-support (0.107) hardy; urgency=low

  * "lib/FUJITSU SIEMENS.config": Fix typo, which caused failures on Fujitsu
    notebooks (LP: #203452)
  * debian/preinst: remove obsolete conffiles on upgrade
    (/etc/modprobe.d/{thinkpad,toshiba}_acpi.modprobe)

 -- Daniel Hahler <ubuntu@thequod.de>  Tue, 18 Mar 2008 23:56:09 +0100

acpi-support (0.106) hardy; urgency=low

  * Cherrypicked bugfix patches from Launchpad (LP: #193842)
  * lib/state-funcs: make wireless led work with asus-laptop (the new module);
    patch from Nicolò Chieffo (LP: #189889)
  * Add events/asus-video to support asus switch video hotkey; patch from
    Nicolò Chieffo (LP: #138228)
  * events/asus-wireless-2, asus-wireless-2.sh:
    Support Fn+F2 on Asus A8Js; patch from Matteo Collina (LP: #105929)
  * Fix the value range in sonybright.sh (0-7 instead of 1-8); patch from unggnu
    (LP: #136380)
  * "lib/FUJITSU SIEMENS.config":
    - Enable suspend for Fujitsu-Siemens C1110 (LP: #52970)
    - Enable STR for Fujitsu-Siemens Lifebook S7020, S7110
  * resume.d/50-time.sh, suspend.d/88-time.sh:
    Fix handling of hardware clock before/after suspend; patch from Rodrigo
    Novo (LP: #36815)
  * events/asus-*: Fix event key names for ASUS (HOTK); patch from
    Jeroen van der Vegt (LP: #25784)
  * Fix names in comments for events/panasonic-{mute,volume-down,volume-up}
  * debian/rules, README.toshiba: Drop toshiba_acpi.modprobe, which only
    contained an invalid/obsolete option "hotkeys_over_acpi" (LP: #180678)
  * debian/control: Standards-Version 3.7.3
  * Drop thinkpad_acpi.modprobe: the workarounds therein are not needed for
    thinkpad_acpi in Hardy anymore; investigations by Jerone Young (LP: #194679)
  * Add events/lenovo-eject to handle the Thinkpad eject button (Fn+F9); patch
    from Jerone Young (LP: #194609)

 -- Daniel Hahler <ubuntu@thequod.de>  Thu, 06 Mar 2008 02:15:54 +0100

acpi-support (0.105) hardy; urgency=low

  * Fix screenblank for KDE by using a dcop call
    (LP: #25057)

 -- dAniel hAhler <ubuntu@thequod.de>  Thu, 13 Dec 2007 23:32:11 +0100

acpi-support (0.104) hardy; urgency=low

  * Depend on x11-xserver-utils instead of xset.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Sat, 10 Nov 2007 12:25:03 +0200

## acpi-support 0.109netbook0dennis2

=== debian/changelog ===
acpi-support (0.109netbook0dennis2) hardy; urgency=low

  * lid-gpm-action, debian/rules, debian/dirs:
    - New script to simulate first user's gnome-power-manager action for a
      lid close.
  * lid.sh:
    - If no gnome-power-manager is running, call lid-gpm-action.
  * Above is to fix LP: #299339

 -- Michael Terry <michael.terry@canonical.com>  Fri, 09 Jan 2009 15:10:41 -0500

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 	install -m 755 vbesave debian/acpi-support/etc/init.d/vbesave
 	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
 	install -m 644 key-constants debian/acpi-support/usr/share/acpi-support/
+	install -m 755 lid-gpm-action debian/acpi-support/usr/sbin/lid-gpm-action
 
 binary-indep:

## acpi-support 0.109netbook0dennis4

=== debian/changelog ===
acpi-support (0.109netbook0dennis4) dennis; urgency=low

  * lid.sh:
    - Don't explicitly check for 'gnome-power-man', rather use
      existing CheckPolicy call to determine if a power manager
      is already running.
  * sleep.sh:
    - Ask HAL to sleep for us, don't just ask the kernel to sleep.
      LP: #299299

 -- Michael Terry <michael.terry@canonical.com>  Mon, 13 Apr 2009 14:56:28 -0400

acpi-support (0.109netbook0dennis3) dennis; urgency=low

  * Upgraded to new ubuntu version (8.04.2). Based on 0.109-0hardy2, though we're keeping the version numbering like this to make sure it upgrades without problems.

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Fri, 13 Mar 2009 17:56:55 -0300

acpi-support (0.109-0hardy2) hardy-proposed; urgency=low

  [ Jakob Unterwurzacher ]
  * Defensive quoting in 90-hdparm.sh, so that the script doesn't throw
    a syntax error when the battery state is undetermined.

  [ Steve Langasek ]
  * lib/power-funcs: refactor getState() to return 'AC' by default,
    since this is implicitly the case if we don't have a battery.
    LP: #59695.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Jan 2009 13:06:55 +0000

acpi-support (0.109-0hardy1) hardy-proposed; urgency=low

  * Cherry-pick hdparm fixes from intrepid:
    - ac.d/90-hdparm.sh, battery.d/90-hdparm.sh, resume.d/90-hdparm.sh,
      start.d/90-hdparm.sh: Set hdparm power management to 254 for all
      hard drives, ignoring errors while detecting if APM is supported.
      Set hdparm -B 128 while on battery, because head parking is useful
      on the road for shock protection.
    - power.sh: use 254 instead of 255 also when laptop mode is in use;
      this handling is obsoleted entirely in intrepid and beyond, but
      we'll take a minimally-intrusive fix for hardy.
    LP: #59695.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Jan 2009 10:33:13 +0000

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,12 @@
 	for file in start.d/*.sh; do\
 		install -m 755 $$file debian/acpi-support/etc/acpi/start.d/;\
 	done
+	for file in battery.d/*.sh; do\
+		install -m 755 $$file debian/acpi-support/etc/acpi/battery.d/;\
+	done
+	for file in ac.d/*.sh; do\
+		install -m 755 $$file debian/acpi-support/etc/acpi/ac.d/;\
+	done
 	for file in *.sh; do\
 		install -m 755 $$file debian/acpi-support/etc/acpi/;\
 	done

## acpi-support 0.109netbook0unr1

=== Makefile ===
all: acpi_fakekey

acpi_fakekey: acpi_fakekey.c
	gcc -g -Wall -o acpi_fakekey acpi_fakekey.c
	strip acpi_fakekey

# Keep this manually generated so that it doesn't build-dep on
# 'linux-headers' and stays predictable.

key-constants: /usr/include/linux/input.h aliased-keys
	test -f $<
	echo -n '# Generated from $< dated ' > $@
	date -r $< >> $@
	awk '/#define  *KEY_/{if(strtonum($$3) <= 255) print $$2"="strtonum($$3)}' $< | sort -nt'=' -k2 >> $@
	test -f aliased-keys && cat aliased-keys >> $@

clean:
	rm -f acpi_fakekey

=== debian/changelog ===
acpi-support (0.109netbook0unr1) hardy; urgency=low

  * added debian/patches/01_power_pre_post.patch to run pre and post
    scripts for power.sh, similar to lid.sh approach
  * modified debian/rules and debian/control to add cdbs support 

 -- Bill Filler <bill.filler@canonical.com>  Wed, 22 Oct 2008 15:10:24 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthew Garrett <mjg59@srcf.ucam.org> 
-Build-Depends: debhelper (>= 4.1.16)
+Build-Depends: debhelper (>= 4.1.16), cdbs
 Standards-Version: 3.7.3
 
 Package: acpi-support

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #! /usr/bin/make -f 
+
+include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq ($(DEB_HOST_ARCH),i386)
@@ -8,7 +10,7 @@
 arch-depends := -V'arch:Depends=vbetool'
 endif
 
-clean: 
+clean:: 
 	make clean
 	dh_testdir
 	dh_clean
@@ -36,12 +38,6 @@
 	for file in start.d/*.sh; do\
 		install -m 755 $$file debian/acpi-support/etc/acpi/start.d/;\
 	done
-	for file in battery.d/*.sh; do\
-		install -m 755 $$file debian/acpi-support/etc/acpi/battery.d/;\
-	done
-	for file in ac.d/*.sh; do\
-		install -m 755 $$file debian/acpi-support/etc/acpi/ac.d/;\
-	done
 	for file in *.sh; do\
 		install -m 755 $$file debian/acpi-support/etc/acpi/;\
 	done
@@ -50,7 +46,6 @@
 	install -m 755 vbesave debian/acpi-support/etc/init.d/vbesave
 	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
 	install -m 644 key-constants debian/acpi-support/usr/share/acpi-support/
-	install -m 755 lid-gpm-action debian/acpi-support/usr/sbin/lid-gpm-action
 
 binary-indep:

## acpi-support 0.109netbook0unr2

=== debian/changelog ===
acpi-support (0.109netbook0unr2) unr; urgency=low

  * Merge new Hardy version.  NOTE that this merge is based on
    version 0.109-0hardy2 in hardy-updates (see previous changelog entry),
    but has been versioned here as 0.109netbook0unr2 so that it will
    correctly supersede the version in hardy-updates (and incidentally
    remains consistent with the previous versioning in unr).

 -- Gary Lasker <gary.lasker@canonical.com>  Mon, 09 Mar 2009 15:12:03 -0400

=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,12 @@
 	for file in start.d/*.sh; do\
 		install -m 755 $$file debian/acpi-support/etc/acpi/start.d/;\
 	done
+	for file in battery.d/*.sh; do\
+		install -m 755 $$file debian/acpi-support/etc/acpi/battery.d/;\
+	done
+	for file in ac.d/*.sh; do\
+		install -m 755 $$file debian/acpi-support/etc/acpi/ac.d/;\
+	done
 	for file in *.sh; do\
 		install -m 755 $$file debian/acpi-support/etc/acpi/;\
 	done

## acpi-support 0.109-0hardy2

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #! /usr/bin/make -f 
-
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq ($(DEB_HOST_ARCH),i386)
@@ -10,7 +8,7 @@
 arch-depends := -V'arch:Depends=vbetool'
 endif
 
-clean:: 
+clean: 
 	make clean
 	dh_testdir
 	dh_clean
